[SOLVED] MariaDB install error on RPi3

This forum is for topics dealing with problems with software specifically in the AArch64 repo.

[SOLVED] MariaDB install error on RPi3

Postby ok38 » Sun Jul 16, 2017 5:28 pm

Hi,

I am trying to have a web server on RPi3 with Archlinux 64bit but when run mysql_install_db --user=mysql --basedir=/usr --datadir=/var/lib/mysql as root. System partition is ext4 and the kernel 4.12.2-1-ARCH.

Do you have an idea ?

Thanks.

Code: Select all
<jemalloc>: Unsupported system page size
<jemalloc>: Unsupported system page size
<jemalloc>: Unsupported system page size
<jemalloc>: Unsupported system page size
Neither host 'archpi' nor 'localhost' could be looked up with
'/usr/bin/resolveip'
Please configure the 'hostname' command to return a correct
hostname.
If you want to solve this at a later stage, restart this script
with the --force option

The latest information about mysql_install_db is available at
https://mariadb.com/kb/en/installing-system-tables-mysql_install_db
Last edited by ok38 on Tue Jul 25, 2017 9:09 pm, edited 1 time in total.
ok38
 
Posts: 3
Joined: Sun Jul 16, 2017 5:20 pm

Re: MariaDB install error on RPi3

Postby ok38 » Mon Jul 17, 2017 8:42 pm

Nobody can help me or just suggest something ? I'll try to reinstall the system..
ok38
 
Posts: 3
Joined: Sun Jul 16, 2017 5:20 pm

Re: MariaDB install error on RPi3

Postby PuppetMaster » Sun Jul 23, 2017 9:03 pm

I have the same problem, recently my wiki stoped working because mariadb failed to start. Event removing all mariadb files did not fix this problem but then its a system page size problem.

I found this bug report that refers to the apparently wrong page size set in jemalloc.

https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=843926;msg=66

I wonder why this is not affecting mariadb on arch linux for x86_64 ?

If I find a solution I will post it here.
PuppetMaster
 
Posts: 2
Joined: Sun Jul 23, 2017 8:56 pm

Re: MariaDB install error on RPi3

Postby PuppetMaster » Sun Jul 23, 2017 9:14 pm

I just made a fresh install and the problem still exists, so its definitely a bug ?!
PuppetMaster
 
Posts: 2
Joined: Sun Jul 23, 2017 8:56 pm

Re: MariaDB install error on RPi3

Postby ok38 » Tue Jul 25, 2017 9:09 pm

Hi,

Thank you PuppetMaster to your reply.

I just downgrade jemalloc to 4.5.0-1 and it works.

Clone from GIT

Code: Select all
git clone https://github.com/jemalloc/jemalloc.git


Create PKGBUILD file in jemalloc folder

Code: Select all
cd jemalloc
nano PKGBUILD


And paste this (i don't know if it is correct, but it works), i adapted from jemalloc v5.

Code: Select all
# $Id$
# Maintainer:  Bartłomiej Piotrowski
# Contributor: Massimiliano Torromeo
# Contributor: Kovivchak Evgen

pkgname=jemalloc
epoch=1
pkgver=4.5.0
pkgrel=1
pkgdesc='General-purpose scalable concurrent malloc implementation'
arch=('i686' 'x86_64' 'aarch64')
license=('BSD')
url='http://www.canonware.com/jemalloc/'
depends=('glibc')
provides=('libjemalloc.so')
optdepends=('perl: for jeprof')
source=("https://github.com/jemalloc/jemalloc/releases/download/${pkgver}/${pkgname}-${pkgver}.tar.bz2")
sha256sums=('9409d85664b4f135b77518b0b118c549009dc10f6cba14557d170476611f6780')

build() {
  cd $pkgname-$pkgver

  ./configure --prefix=/usr
  make
}

package() {
  cd $pkgname-$pkgver

  make DESTDIR="$pkgdir" install

  install -Dm644 COPYING "$pkgdir/usr/share/licenses/$pkgname/COPYING"
}


Code: Select all
makepkg
pacman -U jemalloc-1\:4.5.0-1-aarch64.pkg.tar.xz


And don't forget to add jemalloc package to ignore list in pacman.conf
ok38
 
Posts: 3
Joined: Sun Jul 16, 2017 5:20 pm


Return to ARMv8

Who is online

Users browsing this forum: No registered users and 3 guests